# use appimage from https://github.com/frappe/books/releases/

%define __os_install_post %{nil}

Name:	frappe-books
Version:	0.17.0
Release:	%mkrel 1
License:	GPLv3
Group:      Office
Summary:	Free Accounting Software
Url:		https://frappebooks.com
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Frappe Books accounting software simplifies invoicing, billing, and accounting
for freelancers and small business owners.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/frappe/books/releases/download/v%{version}/Frappe-Books-%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/Frappe-Books-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Jul 03 2023 tex - 0.17.0-1pclos2023
- new version

* Thu Jun 08 2023 tex - 0.16.0-1pclos2023
- new version

* Fri May 26 2023 tex - 0.14.1-1pclos2023
- create pkg
